--DROP TABLE Asset;

CREATE TABLE Asset (
   Asset_No integer NULL,
   Asset_Name varchar(120) NULL,
   Purchase_Date varchar(10) NULL,
   Org_Amt numeric(10,2) NULL,
   Detail_Description varchar(250) NULL
);

CREATE UNIQUE CLUSTERED INDEX Asset_Asset_No ON Asset (Asset_No,Asset_Name);

CREATE INDEX Asset_Purchase_Date ON Asset (Purchase_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Asset','Asset');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Asset','YES','YES');
--DROP TABLE Asset_Item;

CREATE TABLE Asset_Item (
   Asset_No integer NULL,
   Asset_Name varchar(120) NULL,
   Asset_Item varchar(100) NULL,
   Purchase_Date varchar(10) NULL,
   Purchase_Amt numeric(10,2) NULL,
   Detail_Description varchar(250) NULL
);

CREATE UNIQUE CLUSTERED INDEX Asset_Item_Asset_No ON Asset_Item (Asset_No,Asset_Name,Asset_Item);

CREATE INDEX Asset_Item_Purchase_Date ON Asset_Item (Purchase_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Asset_Item','Asset Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Asset_Item','YES','YES');
--DROP TABLE Assign_Larvae_Tank;

CREATE TABLE Assign_Larvae_Tank (
   Fish_Id varchar(15) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Time_Assigned varchar(8) NULL,
   Fish_no integer NULL,
   Female_Spawn_Date varchar(10) NULL,
   Female_Spawn_Time varchar(8) NULL,
   Female_Group_Name varchar(50) NULL,
   Female_Tank_Id varchar(10) NULL,
   Male_Spawn_Date varchar(10) NULL,
   Male_Spawn_Time varchar(8) NULL,
   Male_Group_Name varchar(50) NULL,
   Male_Tank_Id varchar(10) NULL,
   Fertilisation_Date varchar(10) NULL,
   Fertilisation_Time varchar(8) NULL,
   Tray_No integer NULL,
   Water_Temp numeric(10,2) NULL,
   UV_Light varchar(4) NULL,
   Water_Flow numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Treatment_Used varchar(4) NULL,
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Treatment_Qty numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Assign_Larvae_Tank_Fish_Id ON Assign_Larvae_Tank (Fish_Id,Group_Name,Tank_Id,Date_Assigned,Time_Assigned,Tray_No);

CREATE INDEX Assign_Larvae_Tank_Female_Spawn_Date ON Assign_Larvae_Tank (Female_Spawn_Date);

CREATE INDEX Assign_Larvae_Tank_Female_Spawn_Time ON Assign_Larvae_Tank (Female_Spawn_Time);

CREATE INDEX Assign_Larvae_Tank_Female_Group_Name ON Assign_Larvae_Tank (Female_Group_Name);

CREATE INDEX Assign_Larvae_Tank_Female_Tank_Id ON Assign_Larvae_Tank (Female_Tank_Id);

CREATE INDEX Assign_Larvae_Tank_Male_Spawn_Date ON Assign_Larvae_Tank (Male_Spawn_Date);

CREATE INDEX Assign_Larvae_Tank_Male_Spawn_Time ON Assign_Larvae_Tank (Male_Spawn_Time);

CREATE INDEX Assign_Larvae_Tank_Male_Group_Name ON Assign_Larvae_Tank (Male_Group_Name);

CREATE INDEX Assign_Larvae_Tank_Male_Tank_Id ON Assign_Larvae_Tank (Male_Tank_Id);

CREATE INDEX Assign_Larvae_Tank_Fertilisation_Date ON Assign_Larvae_Tank (Fertilisation_Date);

CREATE INDEX Assign_Larvae_Tank_Fertilisation_Time ON Assign_Larvae_Tank (Fertilisation_Time);

CREATE INDEX Assign_Larvae_Tank_Stock_Name ON Assign_Larvae_Tank (Stock_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Assign_Larvae_Tank','Assign to Larvae Container ');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Assign_Larvae_Tank','YES','YES');
--DROP TABLE Bath_Grade;

CREATE TABLE Bath_Grade (
   Grade_Date varchar(10) NULL,
   Src_Fish_Id varchar(15) NULL,
   Src_Tank_Id varchar(10) NULL,
   Src_Group_Name varchar(50) NULL,
   Src_Date_Assigned varchar(10) NULL,
   Dest_Fish_Id varchar(15) NULL,
   Dest_Tank_Id varchar(10) NULL,
   Dest_Group_Name varchar(50) NULL,
   Fraction_Size varchar(10) NULL,
   Dest_Date_Assigned varchar(10) NULL,
   Src_Avg_Sample_Weight numeric(10,4) NULL,
   Entered_Fish_No integer NULL,
   Src_Avg_Sample_Length numeric(10,4) NULL,
   Avg_Length numeric(10,2) NULL,
   Src_Total_Biomass_Out numeric(10,2) NULL,
   Src_Graded_Fish_Out numeric(10,2) NULL,
   Grade_Size_Class varchar(20) NULL,
   Dest_Water_Temp integer NULL,
   Comment varchar(200) NULL,
   LH_Name varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Bath_Grade_Grade_Date ON Bath_Grade (Grade_Date,Src_Fish_Id,Src_Tank_Id,Src_Group_Name,Dest_Fish_Id,Dest_Tank_Id,Dest_Group_Name);

CREATE INDEX Bath_Grade_Grade_Size_Class ON Bath_Grade (Grade_Size_Class);

CREATE INDEX Bath_Grade_LH_Name ON Bath_Grade (LH_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Bath_Grade','Fish Grading');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Bath_Grade','YES','YES');
--DROP TABLE Benthic_Monitoring;

CREATE TABLE Benthic_Monitoring (
   Dive_Date varchar(10) NULL,
   Dive_Time varchar(8) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Visibility numeric(10,2) NULL,
   Degree_Bio varchar(15) NULL,
   Amt_Undulation varchar(15) NULL,
   Amt_Nat_Org varchar(15) NULL,
   Sand_Colour varchar(15) NULL,
   Grain_Size varchar(30) NULL,
   Macroalgal varchar(15) NULL,
   Seagrass varchar(15) NULL,
   Sponge varchar(15) NULL,
   Baitfish integer NULL,
   Holothurians integer NULL,
   Ascidians integer NULL,
   Razorfish integer NULL,
   Scallops integer NULL,
   Crabs integer NULL,
   Gastropods integer NULL,
   Fish integer NULL,
   Globefish integer NULL,
   Seahorse integer NULL,
   Stingray varchar(15) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Benthic_Monitoring_Dive_Date ON Benthic_Monitoring (Dive_Date,Dive_Time,Group_Name,Tank_Id,Visibility);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Benthic_Monitoring','Benthic Monitoring');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Benthic_Monitoring','YES','YES');
--DROP TABLE Brood_Stock_Intake;

CREATE TABLE Brood_Stock_Intake (
   Dive_Date varchar(10) NULL,
   Location_Name varchar(80) NULL,
   Dive_Supervisor varchar(20) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Brood_Stock_Intake_Dive_Date ON Brood_Stock_Intake (Dive_Date,Location_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Brood_Stock_Intake','Broodstock Intake');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Brood_Stock_Intake','YES','YES');
--DROP TABLE Brood_Stock_Tag_Fish;

CREATE TABLE Brood_Stock_Tag_Fish (
   Dive_Date varchar(10) NULL,
   Location_Name varchar(80) NULL,
   Fish_Id varchar(15) NULL,
   Fish_Type varchar(20) NULL,
   Fish_Sex varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Tag_Id varchar(20) NULL,
   Tag_Date varchar(10) NULL,
   Length numeric(10,2) NULL,
   Weight numeric(10,2) NULL,
   Gonad_Index numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Brood_Stock_Tag_Fish_Dive_Date ON Brood_Stock_Tag_Fish (Dive_Date,Location_Name,Fish_Id,Fish_Type,Fish_Sex,Group_Name,Tank_Id,Date_Assigned,Tag_Id,Tag_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Brood_Stock_Tag_Fish','Brood Stock Tag Fish');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Brood_Stock_Tag_Fish','YES','YES');
--DROP TABLE Budget_Days;

CREATE TABLE Budget_Days (
   Name varchar(30) NULL,
   Budget_Year integer NULL,
   Stock_Item varchar(20) NULL,
   Budget_Day varchar(10) NULL,
   No_Carton integer NULL,
   Fish_No integer NULL,
   Biomass numeric(10,2) NULL,
   Price numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Budget_Days_Name ON Budget_Days (Name,Budget_Year,Stock_Item,Budget_Day);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Budget_Days','Budget Days');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Budget_Days','YES','YES');
--DROP TABLE Budget_Sale;

CREATE TABLE Budget_Sale (
   Name varchar(30) NULL,
   Budget_Year integer NULL,
   Stock_Item varchar(20) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Budget_Sale_Name ON Budget_Sale (Name,Budget_Year,Stock_Item);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Budget_Sale','Budget Sale Forecast');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Budget_Sale','YES','YES');
--DROP TABLE Carrier;

CREATE TABLE Carrier (
   Name varchar(30) NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   State varchar(10) NULL,
   Postcode numeric(6,0) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Mobile_No varchar(15) NULL,
   Email varchar(50) NULL,
   Sales_Tax varchar(10) NULL,
   ABN varchar(20) NULL,
   Pallets_Delivered integer NULL,
   Pallets_Taken integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Carrier_Name ON Carrier (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Carrier','Carrier');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Carrier','YES','YES');
--DROP TABLE Changed_Weight;

CREATE TABLE Changed_Weight (
   Fish_Id varchar(10) NULL,
   Change_Date varchar(10) NULL,
   Change_Weight numeric(10,4) NULL,
   Fish_No integer NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Changed_Weight_Fish_Id ON Changed_Weight (Fish_Id,Change_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Changed_Weight','Changed Weight');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Changed_Weight','YES','YES');
--DROP TABLE Company;

CREATE TABLE Company (
   Name varchar(30) NULL,
   Report_by varchar(4) NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   State varchar(10) NULL,
   Postcode numeric(6,0) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Sales_Tax varchar(10) NULL,
   ABN varchar(15) NULL,
   ACN varchar(15) NULL,
   Web_Site varchar(40) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Company_Name ON Company (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Company','Company');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Company','YES','YES');
--DROP TABLE Contact;

CREATE TABLE Contact (
   Name varchar(60) NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Web_Site varchar(40) NULL,
   Classification varchar(20) NULL,
   Responsibility varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Contact_Name ON Contact (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Contact','Contacts');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Contact','YES','YES');
--DROP TABLE Container_Maintenance;

CREATE TABLE Container_Maintenance (
   Maint_Date varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Maint_Type varchar(20) NULL,
   Item_Name varchar(20) NULL,
   Staff_Name varchar(20) NULL,
   Container_Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Line_Rope_Replaced varchar(4) NULL,
   Line_Rope_Type varchar(10) NULL,
   Line_Rope_Length integer NULL,
   Line_Rope_Thick numeric(10,2) NULL,
   No_of_Floats integer NULL,
   Float_Types varchar(10) NULL,
   No_of_Anchors integer NULL,
   Anchor_Type varchar(10) NULL,
   No_of_Droppers integer NULL,
   Dropper_Rope_Type varchar(10) NULL,
   Dropper_Rope_Thick numeric(10,2) NULL,
   Dropper_Rope_Length integer NULL,
   End_Screws integer NULL,
   No_End_Screws_Missing integer NULL,
   Missing_Parts varchar(200) NULL,
   Maint_Comment varchar(200) NULL,
   Next_Maint_Date varchar(10) NULL,
   Next_Maint_Comment varchar(200) NULL,
   Weights integer NULL,
   Weights_Comment varchar(100) NULL,
   Buoyancy_Added varchar(4) NULL,
   Buoyancy_Comment varchar(100) NULL,
   Head_Strop integer NULL,
   Head_Comment varchar(100) NULL,
   Floor_Wall integer NULL,
   Floor_Comment varchar(100) NULL,
   Basket_Replaced integer NULL,
   Basket_Comment varchar(100) NULL,
   Pocket_Repaired integer NULL,
   Pocket_Comment varchar(100) NULL
);

CREATE UNIQUE CLUSTERED INDEX Container_Maintenance_Maint_Date ON Container_Maintenance (Maint_Date,Group_Name,Maint_Type,Staff_Name);

CREATE INDEX Container_Maintenance_Item_Name ON Container_Maintenance (Item_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Container_Maintenance','Container Maintenance');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Container_Maintenance','YES','YES');
--DROP TABLE Country;

CREATE TABLE Country (
   Country varchar(40) NULL
);

CREATE UNIQUE CLUSTERED INDEX Country_Country ON Country (Country);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Country','Country');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Country','YES','YES');
--DROP TABLE Customer;

CREATE TABLE Customer (
   Name varchar(30) NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   State varchar(10) NULL,
   Postcode numeric(6,0) NULL,
   Country varchar(40) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Sales_Tax varchar(10) NULL,
   ABN varchar(15) NULL,
   ACN varchar(15) NULL,
   Web_Site varchar(40) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Customer_Name ON Customer (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Customer','Customer');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Customer','YES','YES');
--DROP TABLE Customer_Sale;

CREATE TABLE Customer_Sale (
   Customer_Name varchar(30) NULL,
   Sale_Date varchar(10) NULL,
   Sale_No varchar(10) NULL,
   Exp_Date varchar(10) NULL,
   Delivery_Address varchar(120) NULL,
   Carrier_Name varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Customer_Sale_Customer_Name ON Customer_Sale (Customer_Name,Sale_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Customer_Sale','Customer Sale/Order');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Customer_Sale','YES','YES');
--DROP TABLE Delivery;

CREATE TABLE Delivery (
   Order_No varchar(20) NULL,
   Stock_Name varchar(40) NULL,
   Delivered_Date varchar(10) NULL,
   Carrier_Name varchar(30) NULL,
   Supplier_Name varchar(30) NULL,
   Qty_Delivered numeric(10,2) NULL,
   Carrier_Docket_No varchar(20) NULL,
   Pallets_Received integer NULL,
   Pallets_Returned integer NULL,
   Driver_Name varchar(30) NULL,
   Freight numeric(10,2) NULL,
   Batch_No varchar(20) NULL,
   Container_No varchar(30) NULL,
   Quarantine_No varchar(20) NULL,
   Seal_no varchar(20) NULL,
   Import_Permit_No varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Delivery_Order_No ON Delivery (Order_No,Stock_Name,Delivered_Date,Carrier_Name);

CREATE INDEX Delivery_Supplier_Name ON Delivery (Supplier_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Delivery','Delivery');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Delivery','YES','YES');
--DROP TABLE Dive_Record;

CREATE TABLE Dive_Record (
   Dive_Date varchar(10) NULL,
   Dive_Time varchar(8) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Time_Departed varchar(8) NULL,
   Total_Compressor_Time integer NULL,
   Vessel_Name varchar(30) NULL,
   Supervisor_Name varchar(30) NULL,
   Wind_Speed integer NULL,
   Wind_Direction varchar(10) NULL,
   Swell_Direction varchar(10) NULL,
   Swell_Height numeric(10,1) NULL,
   Wave_Height numeric(10,1) NULL,
   Water_Temp numeric(10,1) NULL,
   Morts_Recovered varchar(4) NULL,
   Faeces varchar(4) NULL,
   A_F_R varchar(10) NULL,
   A_F_B varchar(10) NULL,
   A_F_G varchar(10) NULL,
   A_P_R varchar(10) NULL,
   A_P_B varchar(10) NULL,
   A_P_G varchar(10) NULL,
   A_AN_R varchar(10) NULL,
   A_AN_B varchar(10) NULL,
   A_AN_G varchar(10) NULL,
   A_W_R varchar(10) NULL,
   A_W_B varchar(10) NULL,
   A_W_G varchar(10) NULL,
   Comment varchar(255) NULL,
   Work_Carried_Out varchar(255) NULL,
   Silt numeric(10,2) NULL,
   Photos_Taken varchar(4) NULL,
   Cage_Image varchar(250) NULL,
   Sea_Hare integer NULL,
   Sea_Hare_Removed varchar(4) NULL,
   Dog_Whelks integer NULL,
   Dog_Whelks_Removed varchar(4) NULL,
   Cart_Ruts integer NULL,
   Cart_Ruts_Removed varchar(4) NULL,
   Pheasant_Shells integer NULL,
   Pheasant_Shell_Removed varchar(4) NULL,
   No_Urchin integer NULL,
   Urchin_Removed varchar(4) NULL,
   No_Crabs integer NULL,
   Crabs_Removed varchar(4) NULL,
   No_Stars integer NULL,
   Stars_Removed varchar(4) NULL,
   No_Scallops integer NULL,
   Scallops_Removed varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Dive_Record_Dive_Date ON Dive_Record (Dive_Date,Dive_Time,Group_Name,Tank_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Dive_Record','Dive Record');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Dive_Record','YES','YES');
--DROP TABLE Dive_Team;

CREATE TABLE Dive_Team (
   Dive_Date varchar(10) NULL,
   Dive_Time varchar(8) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Staff_Name varchar(30) NULL,
   Bail_Out varchar(10) NULL,
   SB_Staff_Name varchar(30) NULL,
   Sb_Air varchar(10) NULL,
   Time_in_water varchar(8) NULL,
   Surface_Int varchar(10) NULL,
   Left_Surface varchar(8) NULL,
   Feed_Basket_1 numeric(10,2) NULL,
   RF numeric(10,2) NULL,
   Left_Bottom varchar(8) NULL,
   Feed_Basket_2 numeric(10,2) NULL,
   Est_Depth numeric(10,2) NULL,
   Max_Depth numeric(10,2) NULL,
   Feed_Basket_3 numeric(10,2) NULL,
   Mask_Ok varchar(4) NULL,
   Bottom_Time integer NULL,
   Feed_Basket_4 numeric(10,2) NULL,
   Tema varchar(4) NULL,
   Surface_Time integer NULL,
   Feed_Basket_5 numeric(10,2) NULL,
   Knife varchar(4) NULL,
   Post_Dive_RG numeric(10,2) NULL,
   Feed_Basket_6 numeric(10,2) NULL,
   Depth_guage varchar(4) NULL,
   No_Deco_Time integer NULL,
   Feed_Basket_7 numeric(10,2) NULL,
   Panel varchar(4) NULL,
   Surface_Temp numeric(10,2) NULL,
   Feed_Basket_8 numeric(10,2) NULL,
   Comms varchar(4) NULL,
   Bottom_Temp numeric(10,2) NULL,
   Visibility varchar(10) NULL,
   Facies_Observed varchar(10) NULL,
   Sea_Hare integer NULL,
   Sea_Hare_Removed varchar(4) NULL,
   Dog_Whelks integer NULL,
   Dog_Whelks_Removed varchar(4) NULL,
   Cart_Ruts integer NULL,
   Cart_Ruts_Removed varchar(4) NULL,
   Pheasant_Shells integer NULL,
   Pheasant_Shell_Removed varchar(4) NULL,
   No_Urchin integer NULL,
   Urchin_Removed varchar(4) NULL,
   No_Crabs integer NULL,
   Crabs_Removed varchar(4) NULL,
   No_Stars integer NULL,
   Stars_Removed varchar(4) NULL,
   No_Scallops integer NULL,
   Scallops_Removed varchar(4) NULL,
   Size_0_30_Fresh numeric(10,2) NULL,
   Size_0_30_Recent numeric(10,2) NULL,
   Size_0_30_Old numeric(10,2) NULL,
   Size_31_30_Fresh numeric(10,2) NULL,
   Size_31_50_Recent numeric(10,2) NULL,
   Size_31_50_Old numeric(10,2) NULL,
   Size_51_Fresh numeric(10,2) NULL,
   Size_51_Recent numeric(10,2) NULL,
   Size_51_Old numeric(10,2) NULL,
   Ballast varchar(4) NULL,
   Total_Morts integer NULL,
   Ballast_Comment varchar(100) NULL,
   Tie_Up varchar(4) NULL,
   Tie_Up_Comment varchar(100) NULL,
   Mooring varchar(4) NULL,
   Mooring_Comment varchar(100) NULL,
   Spider varchar(4) NULL,
   Spider_Comment varchar(100) NULL,
   Algae_Nets varchar(4) NULL,
   Algae_Comment varchar(100) NULL,
   Head_Line varchar(4) NULL,
   Head_Comment varchar(100) NULL,
   Wall varchar(4) NULL,
   Wall_Comment varchar(100) NULL,
   Floor_Wall varchar(4) NULL,
   Floor_Wall_Comment varchar(100) NULL,
   Pockets varchar(4) NULL,
   Pocket_Comment varchar(100) NULL,
   Floor varchar(4) NULL,
   Floor_Comment varchar(100) NULL,
   Basket varchar(4) NULL,
   Basket_Comment varchar(100) NULL,
   Floats varchar(4) NULL,
   Floats_Comment varchar(100) NULL,
   Photo varchar(4) NULL,
   Photo_Comment varchar(100) NULL,
   Tag varchar(4) NULL,
   Tag_Comment varchar(100) NULL,
   Anchor varchar(4) NULL,
   Anchor_Comment varchar(100) NULL,
   Grid varchar(4) NULL,
   Grid_Comment varchar(100) NULL
);

CREATE UNIQUE CLUSTERED INDEX Dive_Team_Dive_Date ON Dive_Team (Dive_Date,Dive_Time,Group_Name,Tank_Id,Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Dive_Team','Dive Team');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Dive_Team','YES','YES');
--DROP TABLE ErrorMessage;

CREATE TABLE ErrorMessage (
   emRef integer NULL,
   emText varchar(255) NULL
);

CREATE UNIQUE CLUSTERED INDEX ErrorMessage_emRef ON ErrorMessage (emRef);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('ErrorMessage','Information Message');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','ErrorMessage','YES','YES');
--DROP TABLE Farm_Cost;

CREATE TABLE Farm_Cost (
   Operating_Year numeric(4,0) NULL,
   Staff_Cost numeric(10,2) NULL,
   Var_Staff_Cost numeric(4,2) NULL,
   Maintenance_Cost numeric(10,2) NULL,
   Var_Maintenance_Cost numeric(4,2) NULL,
   Farm_Operation_Cost numeric(10,2) NULL,
   Var_Farm_Operation_Cost numeric(4,2) NULL,
   Stock_Cost numeric(10,2) NULL,
   Var_Stock_Cost numeric(4,2) NULL,
   Rates_and_Taxes numeric(10,2) NULL,
   Var_Rates_and_Taxes_Cost numeric(4,2) NULL,
   Fuel_Cost numeric(10,2) NULL,
   Var_Fuel_Cost numeric(4,2) NULL,
   Consulting_Cost numeric(10,2) NULL,
   Var_Consulting_Cost numeric(4,2) NULL,
   Loans_Cost numeric(10,2) NULL,
   Var_Loan_Cost numeric(4,2) NULL,
   Oxygen_Cost numeric(10,2) NULL,
   Var_Oxygen_Cost numeric(4,2) NULL,
   Diving_Cost numeric(10,2) NULL,
   Var_Diving_Cost numeric(4,2) NULL,
   Packaging_Cost numeric(10,2) NULL,
   Var_Packing_Cost numeric(4,2) NULL,
   Insurance_Cost numeric(10,2) NULL,
   Var_Insurance_Cost numeric(4,2) NULL,
   Marketing_Cost numeric(10,2) NULL,
   Var_Marketing_Cost numeric(4,2) NULL,
   Operating_Capacity numeric(10,2) NULL,
   Var_Operating_capacity numeric(4,2) NULL,
   Selling_Price numeric(10,2) NULL,
   Var_Selling_Price numeric(4,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Farm_Cost_Operating_Year ON Farm_Cost (Operating_Year);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Farm_Cost','Farm Cost');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Farm_Cost','YES','YES');
--DROP TABLE FCR;

CREATE TABLE FCR (
   FCR_Year integer NULL,
   Predicted_FCR numeric(10,2) NULL,
   Actual_FCR numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX FCR_FCR_Year ON FCR (FCR_Year);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('FCR','FCR');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','FCR','YES','YES');
--DROP TABLE Feeding_Period;

CREATE TABLE Feeding_Period (
   Date_From varchar(10) NULL,
   Date_To varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feeding_Period_Date_From ON Feeding_Period (Date_From,Date_To);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feeding_Period','Feeding Period');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feeding_Period','YES','YES');
--DROP TABLE Feeding_Schedule;

CREATE TABLE Feeding_Schedule (
   Fish_Id varchar(15) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Date_Assigned varchar(10) NULL,
   Fish_Count numeric(10,2) NULL,
   Feeding_Date varchar(10) NULL,
   Hand_Qty numeric(10,3) NULL,
   Hand_Stock_Name varchar(40) NULL,
   Feed_Time varchar(8) NULL,
   Hand_Stock_Item_Type varchar(20) NULL,
   Total_Feed numeric(10,2) NULL,
   Waste_Qty numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Waste_Stock_Name varchar(40) NULL,
   Waste_Stock_Item_Type varchar(20) NULL,
   Returned_Qty numeric(10,2) NULL,
   Returned_Stock_Name varchar(40) NULL,
   Returned_Stock_Item_Type varchar(20) NULL,
   Feed_Behaviour varchar(15) NULL,
   Aq_Qty numeric(10,2) NULL,
   Aq_Stock_Name varchar(40) NULL,
   Aq_Stock_Item_Type varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feeding_Schedule_Fish_Id ON Feeding_Schedule (Fish_Id,Tank_Id,Date_Assigned,Feeding_Date,Hand_Stock_Name,Feed_Time);

CREATE INDEX Feeding_Schedule_Group_Name ON Feeding_Schedule (Group_Name);

CREATE INDEX Feeding_Schedule_Hand_Stock_Item_Type ON Feeding_Schedule (Hand_Stock_Item_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feeding_Schedule','Daily Feed Record');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feeding_Schedule','YES','YES');
--DROP TABLE Feed_Period_Fish_Id;

CREATE TABLE Feed_Period_Fish_Id (
   Fish_Id varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Date_From varchar(10) NULL,
   Date_To varchar(10) NULL,
   Stock_Name varchar(40) NULL,
   Stock_Item_Type varchar(20) NULL,
   Feed_Per numeric(10,2) NULL,
   Feed_Freq integer NULL,
   Comment varchar(255) NULL,
   Feed_Period varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feed_Period_Fish_Id_Fish_Id ON Feed_Period_Fish_Id (Fish_Id,Tank_Id,Date_Assigned,Group_Name,Date_From,Date_To,Stock_Name,Stock_Item_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feed_Period_Fish_Id','Feed Schedule');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feed_Period_Fish_Id','YES','YES');
--DROP TABLE Feed_Quality;

CREATE TABLE Feed_Quality (
   Order_No varchar(20) NULL,
   Stock_Name varchar(40) NULL,
   Delivered_Date varchar(10) NULL,
   Carrier_Name varchar(30) NULL,
   Sample_No integer NULL,
   Sample_Date varchar(10) NULL,
   Sent_Date varchar(10) NULL,
   Lab_Result_No varchar(20) NULL,
   Lab_Name varchar(60) NULL,
   Sample_Weight numeric(10,2) NULL,
   Sample_Comment varchar(255) NULL,
   Dummy1 char(1) NULL,
   Receive_Date varchar(10) NULL,
   Analysis_Date varchar(10) NULL,
   Fat_gm numeric(10,2) NULL,
   Protein numeric(10,2) NULL,
   Fat_percent numeric(10,2) NULL,
   Protein_percent numeric(10,2) NULL,
   Lab_Comments varchar(255) NULL,
   Moisture numeric(10,2) NULL,
   Ash numeric(10,2) NULL,
   Energy numeric(10,2) NULL,
   Free_Fat_Acids numeric(10,2) NULL,
   Peroxide numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feed_Quality_Order_No ON Feed_Quality (Order_No,Stock_Name,Delivered_Date,Carrier_Name,Sample_No,Sample_Date,Sent_Date);

CREATE INDEX Feed_Quality_Lab_Name ON Feed_Quality (Lab_Name);

CREATE INDEX Feed_Quality_Receive_Date ON Feed_Quality (Receive_Date);

CREATE INDEX Feed_Quality_Analysis_Date ON Feed_Quality (Analysis_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feed_Quality','Feed Quality');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feed_Quality','YES','YES');
--DROP TABLE Feed_Scoop;

CREATE TABLE Feed_Scoop (
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Product_Size varchar(10) NULL,
   Weight numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feed_Scoop_Stock_Name ON Feed_Scoop (Stock_Name,Item_Type_Name);

CREATE INDEX Feed_Scoop_Product_Size ON Feed_Scoop (Product_Size);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feed_Scoop','Feed Scoop Weight');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feed_Scoop','YES','YES');
--DROP TABLE Fertilisation;

CREATE TABLE Fertilisation (
   Female_Spawn_Date varchar(10) NULL,
   Female_Spawn_Time varchar(8) NULL,
   Female_Group_Name varchar(50) NULL,
   Female_Tank_Id varchar(10) NULL,
   Male_Spawn_Date varchar(10) NULL,
   Male_Spawn_Time varchar(8) NULL,
   Male_Group_Name varchar(50) NULL,
   Male_Tank_Id varchar(10) NULL,
   Fertilisation_Date varchar(10) NULL,
   Fertilisation_Time varchar(8) NULL,
   No_Eggs_Fertilised numeric(10,2) NULL,
   Fertilisation_Rate numeric(10,2) NULL,
   Egg_Quality varchar(15) NULL,
   Sperm_Quality varchar(15) NULL,
   Hatch_Out_Rate numeric(10,2) NULL,
   Fish_Id varchar(15) NULL,
   Elapsed_Time varchar(8) NULL,
   Time_Eggs_Collect varchar(8) NULL,
   Egg_Colour varchar(20) NULL,
   Egg_Density varchar(20) NULL,
   Egg_Shape varchar(20) NULL,
   Egg_Activity varchar(20) NULL,
   Egg_Condition varchar(20) NULL,
   Egg_Size varchar(20) NULL,
   Comment varchar(200) NULL,
   Rep_Success numeric(10,2) NULL,
   Water_Temp numeric(10,2) NULL,
   UV_Light varchar(4) NULL,
   Water_Flow numeric(10,2) NULL,
   Env_Comment varchar(200) NULL,
   Treatment_Used varchar(4) NULL,
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Treatment_Qty numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fertilisation_Female_Spawn_Date ON Fertilisation (Female_Spawn_Date,Female_Spawn_Time,Female_Group_Name,Female_Tank_Id,Male_Spawn_Date,Male_Spawn_Time,Male_Group_Name,Male_Tank_Id,Fertilisation_Date,Fertilisation_Time);

CREATE INDEX Fertilisation_Fish_Id ON Fertilisation (Fish_Id);

CREATE INDEX Fertilisation_Stock_Name ON Fertilisation (Stock_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fertilisation','Fertilisation');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fertilisation','YES','YES');
--DROP TABLE Fish_Adjustment;

CREATE TABLE Fish_Adjustment (
   Adjust_Fish_Id varchar(15) NULL,
   Adjust_Date varchar(10) NULL,
   Adjust_Qty numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Staff_Name varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Adjustment_Adjust_Fish_Id ON Fish_Adjustment (Adjust_Fish_Id,Adjust_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Adjustment','Fish Id Count Adjustment');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Adjustment','YES','YES');
--DROP TABLE Fish_Health;

CREATE TABLE Fish_Health (
   Fish_Id varchar(15) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Date_Assigned varchar(10) NULL,
   FH_Date varchar(10) NULL,
   Check_Type varchar(15) NULL,
   Total_Fish numeric(6,0) NULL,
   Total_Plates numeric(6,0) NULL,
   Staff_Name varchar(20) NULL,
   Tdummy1 char(1) NULL,
   Weight_Constant_A numeric(10,4) NULL,
   Tdummy5 char(1) NULL,
   Weight_Constant_B numeric(10,4) NULL,
   Avg_Fish_Length numeric(10,4) NULL,
   Avg_Fish_Weight numeric(10,4) NULL,
   Calculated_Weight numeric(10,4) NULL,
   Calculated_Length numeric(10,4) NULL,
   Weight_Comment varchar(100) NULL,
   Comment varchar(200) NULL,
   Sample_date varchar(10) NULL,
   No_Fish_Sampled integer NULL,
   Sample_Type varchar(35) NULL,
   Samples_Sent varchar(100) NULL,
   Samples_Comment varchar(200) NULL,
   Avg_Spat_Plate numeric(10,2) NULL,
   Avg_Size_Plate numeric(10,2) NULL,
   Algae_Cover numeric(10,2) NULL,
   Algae_Species varchar(255) NULL,
   Gonad_Index numeric(10,2) NULL,
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Treatment_Qty numeric(10,2) NULL,
   Tag_Id varchar(20) NULL,
   Fish_Id_Fish_Id varchar(15) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Health_Fish_Id ON Fish_Health (Fish_Id,Tank_Id,Group_Name,Date_Assigned,FH_Date,Check_Type);

CREATE INDEX Fish_Health_Staff_Name ON Fish_Health (Staff_Name);

CREATE INDEX Fish_Health_Stock_Name ON Fish_Health (Stock_Name);

CREATE INDEX Fish_Health_Tag_Id ON Fish_Health (Tag_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Health','Growth Monitoring');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Health','YES','YES');
--DROP TABLE Fish_Length_Count;

CREATE TABLE Fish_Length_Count (
   Fish_Id varchar(10) NULL,
   Stock_Name varchar(40) NULL,
   Sample_Date varchar(10) NULL,
   Fish_Length numeric(10,2) NULL,
   Length_Count numeric(10,2) NULL,
   No_Based numeric(10,2) NULL,
   Fish_Count numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Length_Count_Fish_Id ON Fish_Length_Count (Fish_Id,Stock_Name,Sample_Date,Fish_Length);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Length_Count','Fish Length Count');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Length_Count','YES','YES');
--DROP TABLE Fish_Processor;

CREATE TABLE Fish_Processor (
   Name varchar(30) NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   State varchar(10) NULL,
   Postcode numeric(6,0) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Sales_Tax varchar(10) NULL,
   ABN_No varchar(20) NULL,
   ACN_No varchar(20) NULL,
   Comment varchar(200) NULL,
   Web_Site varchar(40) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Processor_Name ON Fish_Processor (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Processor','Fish Processor');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Processor','YES','YES');
--DROP TABLE Fish_Species_Size_Class;

CREATE TABLE Fish_Species_Size_Class (
   Fish_Type varchar(20) NULL,
   Size_Class varchar(20) NULL,
   Qty_per_kg numeric(10,2) NULL,
   Feed_Rate numeric(10,2) NULL,
   FCR numeric(10,2) NULL,
   Tdummy1 char(1) NULL,
   Weight_Constant_A numeric(10,4) NULL,
   Weight_Constant_B numeric(10,4) NULL,
   Stock_Worth_Each numeric(10,2) NULL,
   Stock_Worth_Each_Net numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Species_Size_Class_Fish_Type ON Fish_Species_Size_Class (Fish_Type,Size_Class);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Species_Size_Class','Fish Species Size Class');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Species_Size_Class','YES','YES');
--DROP TABLE Fish_Type;

CREATE TABLE Fish_Type (
   Fish_Type varchar(20) NULL,
   Tdummy1 char(1) NULL,
   Weight_Constant_A numeric(10,4) NULL,
   Weight_Constant_B numeric(10,4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Type_Fish_Type ON Fish_Type (Fish_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Type','Fish Species');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Type','YES','YES');
--DROP TABLE FS_SC_Item;

CREATE TABLE FS_SC_Item (
   Fish_Type varchar(20) NULL,
   Size_Class varchar(20) NULL,
   Temp_Start numeric(10,2) NULL,
   Temp_End numeric(10,2) NULL,
   Feed_Rate numeric(10,2) NULL,
   FCR numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX FS_SC_Item_Fish_Type ON FS_SC_Item (Fish_Type,Size_Class,Temp_Start,Temp_End);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('FS_SC_Item','FCR Items');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','FS_SC_Item','YES','YES');
--DROP TABLE Geneology;

CREATE TABLE Geneology (
   Stock_Geneology varchar(10) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Geneology_Stock_Geneology ON Geneology (Stock_Geneology);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Geneology','Geneology');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Geneology','YES','YES');
--DROP TABLE Harvest;

CREATE TABLE Harvest (
   Harvest_Date varchar(10) NULL,
   Fish_Id varchar(15) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Fish_No integer NULL,
   Harvest_Weight numeric(10,2) NULL,
   Water_Temp numeric(10,2) NULL,
   UV_Light varchar(4) NULL,
   Water_Flow numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Treatment_Used varchar(4) NULL,
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Treatment_Qty numeric(10,2) NULL,
   Staff_Used integer NULL,
   Time_Taken numeric(10,2) NULL,
   Labour_Cost numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Harvest_Harvest_Date ON Harvest (Harvest_Date,Fish_Id,Group_Name,Tank_Id);

CREATE INDEX Harvest_Date_Assigned ON Harvest (Date_Assigned);

CREATE INDEX Harvest_Stock_Name ON Harvest (Stock_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Harvest','Harvest');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Harvest','YES','YES');
--DROP TABLE Harvest_Date;

CREATE TABLE Harvest_Date (
   Harvest_Date varchar(10) NULL,
   Harvest_Ref_No varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Harvest_Date_Harvest_Date ON Harvest_Date (Harvest_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Harvest_Date','Harvest Date');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Harvest_Date','YES','YES');
--DROP TABLE Harvest_Process;

CREATE TABLE Harvest_Process (
   Harvest_Date varchar(10) NULL,
   Fish_Id varchar(15) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Process_Form varchar(20) NULL,
   Location_Name varchar(80) NULL,
   Fish_No integer NULL,
   Fish_Weight numeric(10,2) NULL,
   Process_No integer NULL,
   Process_Weight numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Harvest_Process_Harvest_Date ON Harvest_Process (Harvest_Date,Fish_Id,Group_Name,Tank_Id,Process_Form,Location_Name,Fish_No);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Harvest_Process','Harvest Process');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Harvest_Process','YES','YES');
--DROP TABLE Harvest_Sale;

CREATE TABLE Harvest_Sale (
   Harvest_Date varchar(10) NULL,
   Customer_Name varchar(30) NULL,
   Sale_Date varchar(10) NULL,
   Process_Form varchar(20) NULL,
   Location_Name varchar(80) NULL,
   LF_Process_Form varchar(20) NULL,
   Qty_Allocated integer NULL,
   Process_No integer NULL,
   Harvest_Weight_Allocated numeric(10,2) NULL,
   Process_Weight_Allocated numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Harvest_Sale_Harvest_Date ON Harvest_Sale (Harvest_Date,Customer_Name,Sale_Date,Process_Form,Location_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Harvest_Sale','Customer Harvest Sale');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Harvest_Sale','YES','YES');
--DROP TABLE Harvest_Staff;

CREATE TABLE Harvest_Staff (
   Harvest_Date varchar(10) NULL,
   Fish_Id varchar(15) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Staff_Name varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Harvest_Staff_Harvest_Date ON Harvest_Staff (Harvest_Date,Fish_Id,Group_Name,Tank_Id,Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Harvest_Staff','Harvest Staff');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Harvest_Staff','YES','YES');
--DROP TABLE Harvest_Tags;

CREATE TABLE Harvest_Tags (
   Harvest_Date varchar(10) NULL,
   Fish_Id varchar(15) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Tag_Id varchar(20) NULL,
   Fish_Weight numeric(10,2) NULL,
   Fish_Length numeric(10,2) NULL,
   Comment varchar(255) NULL
);

CREATE UNIQUE CLUSTERED INDEX Harvest_Tags_Harvest_Date ON Harvest_Tags (Harvest_Date,Fish_Id,Group_Name,Tank_Id,Tag_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Harvest_Tags','Harvest Tags');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Harvest_Tags','YES','YES');
--DROP TABLE Hatch_Out;

CREATE TABLE Hatch_Out (
   Female_Spawn_Date varchar(10) NULL,
   Female_Spawn_Time varchar(8) NULL,
   Female_Group_Name varchar(50) NULL,
   Female_Tank_Id varchar(10) NULL,
   Male_Spawn_Date varchar(10) NULL,
   Male_Spawn_Time varchar(8) NULL,
   Male_Group_Name varchar(50) NULL,
   Male_Tank_Id varchar(10) NULL,
   Fertilisation_Date varchar(10) NULL,
   Fertilisation_Time varchar(8) NULL,
   Tray_No integer NULL,
   Start_Time varchar(8) NULL,
   No_of_Eggs numeric(10,2) NULL,
   Finish_Time varchar(8) NULL,
   Water_Temp numeric(10,2) NULL,
   UV_Light varchar(4) NULL,
   Water_Flow numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Treatment_Used varchar(4) NULL,
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Treatment_Qty numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Hatch_Out_Female_Spawn_Date ON Hatch_Out (Female_Spawn_Date,Female_Spawn_Time,Female_Group_Name,Female_Tank_Id,Male_Spawn_Date,Male_Spawn_Time,Male_Group_Name,Male_Tank_Id,Fertilisation_Date,Fertilisation_Time,Tray_No);

CREATE INDEX Hatch_Out_Stock_Name ON Hatch_Out (Stock_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Hatch_Out','Hatch Outs');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Hatch_Out','YES','YES');
--DROP TABLE Intake_Item;

CREATE TABLE Intake_Item (
   Dive_Date varchar(10) NULL,
   Location_Name varchar(80) NULL,
   Fish_Id varchar(15) NULL,
   Fish_Type varchar(20) NULL,
   Fish_Sex varchar(10) NULL,
   Fish_No numeric(10,2) NULL,
   Tank_Fish_Id varchar(15) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Age integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Intake_Item_Dive_Date ON Intake_Item (Dive_Date,Location_Name,Fish_Id,Fish_Type,Fish_Sex,Group_Name,Tank_Id,Date_Assigned);

CREATE INDEX Intake_Item_Tank_Fish_Id ON Intake_Item (Tank_Fish_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Intake_Item','Broodstock Intake Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Intake_Item','YES','YES');
--DROP TABLE Item_Price;

CREATE TABLE Item_Price (
   Item_Type varchar(20) NULL,
   Price_Date varchar(10) NULL,
   Size_Class varchar(20) NULL,
   Qty numeric(10,2) NULL,
   Price numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Item_Price_Item_Type ON Item_Price (Item_Type,Price_Date,Size_Class);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Item_Price','Item Price');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Item_Price','YES','YES');
--DROP TABLE Item_Type;

CREATE TABLE Item_Type (
   Name varchar(20) NULL,
   Comment varchar(200) NULL,
   Item_Category varchar(30) NULL,
   Is_Default varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Item_Type_Name ON Item_Type (Name);

CREATE INDEX Item_Type_Item_Category ON Item_Type (Item_Category);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Item_Type','Item Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Item_Type','YES','YES');
--DROP TABLE Location;

CREATE TABLE Location (
   Location_Name varchar(80) NULL
);

CREATE UNIQUE CLUSTERED INDEX Location_Location_Name ON Location (Location_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Location','Location');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Location','YES','YES');
--DROP TABLE Location_Form;

CREATE TABLE Location_Form (
   Location_Name varchar(80) NULL,
   Process_Form varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Location_Form_Location_Name ON Location_Form (Location_Name,Process_Form);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Location_Form','Location Form');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Location_Form','YES','YES');
--DROP TABLE Maintanence_Type;

CREATE TABLE Maintanence_Type (
   Name varchar(40) NULL,
   Item_Name varchar(20) NULL,
   Description varchar(80) NULL
);

CREATE UNIQUE CLUSTERED INDEX Maintanence_Type_Name ON Maintanence_Type (Name,Item_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Maintanence_Type','Maintanence Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Maintanence_Type','YES','YES');
--DROP TABLE Maintenance_Item;

CREATE TABLE Maintenance_Item (
   Job_No varchar(15) NULL,
   Maint_Schedule_Date varchar(10) NULL,
   Completed_Date varchar(10) NULL,
   Completed_Time varchar(8) NULL,
   Work_Staff_Name varchar(20) NULL,
   Maint_Details varchar(255) NULL,
   Replaced_Name varchar(40) NULL,
   Replaced_Type_Name varchar(20) NULL,
   Items_Used integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Maintenance_Item_Job_No ON Maintenance_Item (Job_No,Maint_Schedule_Date,Completed_Date,Completed_Time);

CREATE INDEX Maintenance_Item_Work_Staff_Name ON Maintenance_Item (Work_Staff_Name);

CREATE INDEX Maintenance_Item_Replaced_Name ON Maintenance_Item (Replaced_Name);

CREATE INDEX Maintenance_Item_Replaced_Type_Name ON Maintenance_Item (Replaced_Type_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Maintenance_Item','Maintenance Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Maintenance_Item','YES','YES');
--DROP TABLE Maintenance_Schedule;

CREATE TABLE Maintenance_Schedule (
   Job_No integer NULL,
   Schedule_Date varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Maint_Type_Name varchar(40) NULL,
   Item_Name varchar(20) NULL,
   TABLE_NAME varchar(50) NULL,
   Urgent_Att varchar(4) NULL,
   Suggest_Action varchar(150) NULL,
   Staff_Maint_Name varchar(20) NULL,
   Comment varchar(200) NULL,
   Period varchar(20) NULL,
   Specific_Date1 varchar(10) NULL,
   Specific_Date2 varchar(10) NULL,
   Specific_Time varchar(8) NULL,
   Frequency varchar(20) NULL,
   Status varchar(15) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Maintenance_Schedule_Job_No ON Maintenance_Schedule (Job_No,Schedule_Date);

CREATE INDEX Maintenance_Schedule_Group_Name ON Maintenance_Schedule (Group_Name);

CREATE INDEX Maintenance_Schedule_Tank_Id ON Maintenance_Schedule (Tank_Id);

CREATE INDEX Maintenance_Schedule_Maint_Type_Name ON Maintenance_Schedule (Maint_Type_Name);

CREATE INDEX Maintenance_Schedule_Item_Name ON Maintenance_Schedule (Item_Name);

CREATE INDEX Maintenance_Schedule_Staff_Maint_Name ON Maintenance_Schedule (Staff_Maint_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Maintenance_Schedule','Maintenance Schedule');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Maintenance_Schedule','YES','YES');
--DROP TABLE Maint_Request;

CREATE TABLE Maint_Request (
   Maint_No integer NULL,
   Request_Date varchar(10) NULL,
   Status varchar(15) NULL,
   Request_Name varchar(60) NULL,
   Ack_Date varchar(10) NULL,
   Hazard varchar(150) NULL,
   Cause varchar(150) NULL,
   Ack_Name varchar(60) NULL,
   Ack_Details varchar(255) NULL,
   Request_Details varchar(255) NULL,
   Action_Date varchar(10) NULL,
   Action_Name varchar(60) NULL,
   Action_Taken varchar(255) NULL,
   Request_Priority varchar(10) NULL,
   Ack_Priority varchar(10) NULL,
   Assigned_Name varchar(60) NULL,
   Est_Time varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Maint_Request_Maint_No ON Maint_Request (Maint_No);

CREATE INDEX Maint_Request_Request_Date ON Maint_Request (Request_Date);

CREATE INDEX Maint_Request_Request_Name ON Maint_Request (Request_Name);

CREATE INDEX Maint_Request_Ack_Name ON Maint_Request (Ack_Name);

CREATE INDEX Maint_Request_Action_Name ON Maint_Request (Action_Name);

CREATE INDEX Maint_Request_Assigned_Name ON Maint_Request (Assigned_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Maint_Request','Maintenance Request');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Maint_Request','YES','YES');
--DROP TABLE Monitoring_Parameters;

CREATE TABLE Monitoring_Parameters (
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Monitor_Date varchar(10) NULL,
   Monitor_Time varchar(8) NULL,
   Parameters_Name varchar(30) NULL,
   Parameter_Value_Max varchar(20) NULL,
   Parameter_Value_Min varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Monitoring_Parameters_Company_Name ON Monitoring_Parameters (Company_Name,Site_Name,Monitor_Date,Monitor_Time,Parameters_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Monitoring_Parameters','Monitoring Parameters');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Monitoring_Parameters','YES','YES');
--DROP TABLE Monitoring_Schedule;

CREATE TABLE Monitoring_Schedule (
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Monitor_Date varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Temp0a numeric(10,2) NULL,
   Temp0p numeric(10,2) NULL,
   Water_Flow numeric(10,2) NULL,
   am_02 numeric(10,2) NULL,
   pm_02 numeric(10,2) NULL,
   temp_am numeric(10,2) NULL,
   temp_pm numeric(10,2) NULL,
   ph_am numeric(10,2) NULL,
   salinity_am numeric(10,2) NULL,
   ammonia_am numeric(10,2) NULL,
   Nitrite numeric(10,2) NULL,
   nitrate_am numeric(10,2) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Monitoring_Schedule_Company_Name ON Monitoring_Schedule (Company_Name,Site_Name,Monitor_Date);

CREATE INDEX Monitoring_Schedule_Group_Name ON Monitoring_Schedule (Group_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Monitoring_Schedule','Environment Monitoring');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Monitoring_Schedule','YES','YES');
--DROP TABLE Monthly_Growth;

CREATE TABLE Monthly_Growth (
   Growth_Year numeric(4,0) NULL,
   Fish_Type varchar(20) NULL,
   Jan numeric(3,1) NULL,
   Jan_gm numeric(3,1) NULL,
   Feb numeric(3,1) NULL,
   Feb_gm numeric(3,1) NULL,
   Mar numeric(3,1) NULL,
   March_gm numeric(3,1) NULL,
   Apr numeric(3,1) NULL,
   April_gm numeric(3,1) NULL,
   May numeric(3,1) NULL,
   May_gm numeric(3,1) NULL,
   Jun numeric(3,1) NULL,
   June_gm numeric(3,1) NULL,
   Jul numeric(3,1) NULL,
   July_gm numeric(3,1) NULL,
   Aug numeric(3,1) NULL,
   Aug_gm numeric(3,1) NULL,
   Sep numeric(3,1) NULL,
   Sep_gm numeric(3,1) NULL,
   Oct numeric(3,1) NULL,
   Oct_gm numeric(3,1) NULL,
   Nov numeric(3,1) NULL,
   Nov_gm numeric(3,1) NULL,
   December numeric(3,1) NULL,
   Dec_gm numeric(3,1) NULL
);

CREATE UNIQUE CLUSTERED INDEX Monthly_Growth_Growth_Year ON Monthly_Growth (Growth_Year,Fish_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Monthly_Growth','Monthly Growth');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Monthly_Growth','YES','YES');
--DROP TABLE Morts;

CREATE TABLE Morts (
   Mort_Date varchar(10) NULL,
   Fish_Id varchar(15) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Date_Assigned varchar(10) NULL,
   Staff_Name varchar(20) NULL,
   Mort_Type varchar(50) NULL,
   Mort_Total numeric(10,2) NULL,
   Comment varchar(255) NULL
);

CREATE UNIQUE CLUSTERED INDEX Morts_Mort_Date ON Morts (Mort_Date,Fish_Id,Tank_Id,Group_Name,Date_Assigned);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Morts','Morts');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Morts','YES','YES');
--DROP TABLE Mort_Item;

CREATE TABLE Mort_Item (
   Fish_Id varchar(15) NULL,
   Mort_Date varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Date_Assigned varchar(10) NULL,
   Mort_Type varchar(50) NULL,
   Mort_Total numeric(10,2) NULL,
   Comment varchar(255) NULL,
   BTag_Dive_Date varchar(10) NULL,
   BTag_Location_Name varchar(80) NULL,
   BTag_Fish_Id varchar(15) NULL,
   BTag_Fish_Type varchar(20) NULL,
   BTag_Fish_Sex varchar(10) NULL,
   BTag_Group_Name varchar(50) NULL,
   BTag_Tank_Id varchar(10) NULL,
   BTag_Date_Assigned varchar(10) NULL,
   BTag_Id varchar(20) NULL,
   BTag_Date varchar(10) NULL,
   P_Arrival_Date varchar(10) NULL,
   P_Name varchar(30) NULL,
   P_Fish_Id varchar(15) NULL,
   P_Fish_Type varchar(20) NULL,
   P_Fish_Sex varchar(10) NULL,
   P_Size_Class varchar(20) NULL,
   P_Group_Name varchar(50) NULL,
   P_Tank_Id varchar(10) NULL,
   P_Date_Assigned varchar(10) NULL,
   P_Tag_Id varchar(20) NULL,
   Tag_Date varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Mort_Item_Fish_Id ON Mort_Item (Fish_Id,Mort_Date,Tank_Id,Group_Name,Date_Assigned,Mort_Type);

CREATE INDEX Mort_Item_BTag_Dive_Date ON Mort_Item (BTag_Dive_Date);

CREATE INDEX Mort_Item_BTag_Id ON Mort_Item (BTag_Id);

CREATE INDEX Mort_Item_BTag_Date ON Mort_Item (BTag_Date);

CREATE INDEX Mort_Item_P_Arrival_Date ON Mort_Item (P_Arrival_Date);

CREATE INDEX Mort_Item_P_Fish_Id ON Mort_Item (P_Fish_Id);

CREATE INDEX Mort_Item_P_Tag_Id ON Mort_Item (P_Tag_Id);

CREATE INDEX Mort_Item_Tag_Date ON Mort_Item (Tag_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Mort_Item','Mort Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Mort_Item','YES','YES');
--DROP TABLE Mort_Tags;

CREATE TABLE Mort_Tags (
   Fish_Id varchar(15) NULL,
   Mort_Date varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Date_Assigned varchar(10) NULL,
   Tag_Id varchar(20) NULL,
   Fish_Weight numeric(10,2) NULL,
   Fish_Length numeric(10,2) NULL,
   Mort_Type varchar(50) NULL,
   Comment varchar(255) NULL
);

CREATE UNIQUE CLUSTERED INDEX Mort_Tags_Fish_Id ON Mort_Tags (Fish_Id,Mort_Date,Tank_Id,Group_Name,Date_Assigned,Tag_Id);

CREATE INDEX Mort_Tags_Mort_Type ON Mort_Tags (Mort_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Mort_Tags','Mort Tags');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Mort_Tags','YES','YES');
--DROP TABLE Movement_Calc;

CREATE TABLE Movement_Calc (
   Date_Swim_Thru varchar(10) NULL,
   Move_Time varchar(8) NULL,
   Source_Fish_Id varchar(15) NULL,
   Source_Tank_Id varchar(10) NULL,
   Src_Group_Name varchar(50) NULL,
   Dest_Fish_Id varchar(15) NULL,
   Dest_Tank_Id varchar(10) NULL,
   Dest_Group_Name varchar(50) NULL,
   Bucket_No integer NULL,
   Count_1 numeric(10,2) NULL,
   Detach_1 numeric(10,2) NULL,
   Count_2 numeric(10,2) NULL,
   Detach_2 numeric(10,2) NULL,
   Count_3 numeric(10,2) NULL,
   Detach_3 numeric(10,2) NULL,
   Vol numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Movement_Calc_Date_Swim_Thru ON Movement_Calc (Date_Swim_Thru,Move_Time,Source_Fish_Id,Source_Tank_Id,Src_Group_Name,Dest_Fish_Id,Dest_Tank_Id,Dest_Group_Name,Bucket_No);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Movement_Calc','Movement Calc Sheet');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Movement_Calc','YES','YES');
--DROP TABLE Orders;

CREATE TABLE Orders (
   Order_No varchar(20) NULL,
   Order_Date varchar(10) NULL,
   Supplier_Name varchar(30) NULL,
   Status varchar(20) NULL,
   Exp_Del_Date varchar(10) NULL,
   Delivery_Detail varchar(300) NULL,
   Carrier varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Orders_Order_No ON Orders (Order_No,Order_Date);

CREATE INDEX Orders_Supplier_Name ON Orders (Supplier_Name);

CREATE INDEX Orders_Exp_Del_Date ON Orders (Exp_Del_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Orders','Orders');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Orders','YES','YES');
--DROP TABLE Order_Item;

CREATE TABLE Order_Item (
   Order_No varchar(20) NULL,
   Supplier_Name varchar(30) NULL,
   Stock_Name varchar(40) NULL,
   Stock_Item_Type varchar(20) NULL,
   Order_Date varchar(10) NULL,
   Qty_Ordered numeric(10,2) NULL,
   Status varchar(20) NULL,
   Exp_Del_Date varchar(10) NULL,
   Cost_Price numeric(10,2) NULL,
   Use_By_Date varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Order_Item_Order_No ON Order_Item (Order_No,Supplier_Name,Stock_Name);

CREATE INDEX Order_Item_Stock_Item_Type ON Order_Item (Stock_Item_Type);

CREATE INDEX Order_Item_Order_Date ON Order_Item (Order_Date);

CREATE INDEX Order_Item_Exp_Del_Date ON Order_Item (Exp_Del_Date);

CREATE INDEX Order_Item_Use_By_Date ON Order_Item (Use_By_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Order_Item','Order Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Order_Item','YES','YES');
--DROP TABLE Package_Size;

CREATE TABLE Package_Size (
   Pack_Size varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Package_Size_Pack_Size ON Package_Size (Pack_Size);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Package_Size','Package Size');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Package_Size','YES','YES');
--DROP TABLE Package_Type;

CREATE TABLE Package_Type (
   Pack_Type varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Package_Type_Pack_Type ON Package_Type (Pack_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Package_Type','Package Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Package_Type','YES','YES');
--DROP TABLE Parameter;

CREATE TABLE Parameter (
   Name varchar(30) NULL,
   Description varchar(50) NULL,
   Start_Range varchar(20) NULL,
   End_Range varchar(20) NULL,
   Optimum_Start_Range varchar(20) NULL,
   Optimum_End_Range varchar(20) NULL,
   Upper_Critical_Limit varchar(20) NULL,
   Upper_Response varchar(200) NULL,
   Lower_Critical_Limit varchar(20) NULL,
   Lower_Response varchar(200) NULL,
   Report_Column_No integer NULL,
   Unit_of_Measure varchar(15) NULL
);

CREATE UNIQUE CLUSTERED INDEX Parameter_Name ON Parameter (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Parameter','Parameter');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Parameter','YES','YES');
--DROP TABLE Passwords;

CREATE TABLE Passwords (
   Password_Id varchar(20) NULL,
   Value varchar(40) NULL
);

CREATE UNIQUE CLUSTERED INDEX Passwords_Password_Id ON Passwords (Password_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Passwords','Passwords');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Passwords','YES','YES');
--DROP TABLE Pen;

CREATE TABLE Pen (
   Fish_Id varchar(15) NULL,
   Src_Fish_Id varchar(15) NULL,
   Create_Date varchar(10) NULL,
   Stock_Name varchar(40) NULL,
   Stock_Item_Type varchar(20) NULL,
   Comment varchar(200) NULL,
   Fish_Type varchar(20) NULL,
   Fish_Sex varchar(10) NULL,
   Graded_Fish varchar(4) NULL,
   Grade_Start_Weight numeric(10,4) NULL,
   Start_Fish_Count numeric(10,2) NULL,
   Start_Date varchar(10) NULL,
   Status varchar(10) NULL,
   Status_Date_Changed varchar(10) NULL,
   Stock_Geneology varchar(10) NULL,
   Start_Size_Class varchar(20) NULL,
   Total_Biomass numeric(10,2) NULL,
   Pred_Total_Biomass numeric(10,2) NULL,
   Under_Harvest numeric(10,2) NULL,
   Over_Harvest numeric(10,2) NULL,
   Under_Harvest_Biomass numeric(10,2) NULL,
   Over_Harvest_Biomass numeric(10,2) NULL,
   Prev_Biomass numeric(10,2) NULL,
   Fish_Count integer NULL,
   Prev_Fish_Count integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Pen_Fish_Id ON Pen (Fish_Id);

CREATE INDEX Pen_Src_Fish_Id ON Pen (Src_Fish_Id);

CREATE INDEX Pen_Create_Date ON Pen (Create_Date);

CREATE INDEX Pen_Stock_Name ON Pen (Stock_Name);

CREATE INDEX Pen_Stock_Item_Type ON Pen (Stock_Item_Type);

CREATE INDEX Pen_Start_Date ON Pen (Start_Date);

CREATE INDEX Pen_Start_Size_Class ON Pen (Start_Size_Class);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Pen','Fish ID');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Pen','YES','YES');
--DROP TABLE Position_Type;

CREATE TABLE Position_Type (
   Position_Name varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Position_Type_Position_Name ON Position_Type (Position_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Position_Type','Position Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Position_Type','YES','YES');
--DROP TABLE Prediction;

CREATE TABLE Prediction (
   Prediction_Year integer NULL,
   Fish_Type varchar(20) NULL,
   Stock_Name varchar(40) NULL,
   Stock_Item_Type varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Prediction_Prediction_Year ON Prediction (Prediction_Year,Fish_Type,Stock_Name);

CREATE INDEX Prediction_Stock_Item_Type ON Prediction (Stock_Item_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Prediction','Predicted Performance');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Prediction','YES','YES');
--DROP TABLE Pred_Period;

CREATE TABLE Pred_Period (
   Prediction_Year integer NULL,
   Fish_Type varchar(20) NULL,
   Stock_Name varchar(40) NULL,
   Period_Date varchar(10) NULL,
   Weight numeric(10,4) NULL,
   Fish_Length numeric(10,2) NULL,
   Morts numeric(10,2) NULL,
   Harvest numeric(10,2) NULL,
   Feed_Rate numeric(10,2) NULL,
   FCR numeric(10,2) NULL,
   Water_Temp numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Pred_Period_Prediction_Year ON Pred_Period (Prediction_Year,Fish_Type,Stock_Name,Period_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Pred_Period','Predicted Period Performance');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Pred_Period','YES','YES');
--DROP TABLE Product_Size;

CREATE TABLE Product_Size (
   Prod_Size varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Product_Size_Prod_Size ON Product_Size (Prod_Size);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Product_Size','Product Size');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Product_Size','YES','YES');
--DROP TABLE Purchase_Intake;

CREATE TABLE Purchase_Intake (
   Arrival_Date varchar(10) NULL,
   Name varchar(30) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Purchase_Intake_Arrival_Date ON Purchase_Intake (Arrival_Date,Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Purchase_Intake','Purchase Intake');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Purchase_Intake','YES','YES');
--DROP TABLE Purchase_Intake_Item;

CREATE TABLE Purchase_Intake_Item (
   Arrival_Date varchar(10) NULL,
   Name varchar(30) NULL,
   Fish_Id varchar(15) NULL,
   Fish_Type varchar(20) NULL,
   Fish_Sex varchar(10) NULL,
   Size_Class varchar(20) NULL,
   Fish_No numeric(10,2) NULL,
   Avg_Weight numeric(10,5) NULL,
   Avg_Length numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Tank_Fish_Id varchar(15) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Age integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Purchase_Intake_Item_Arrival_Date ON Purchase_Intake_Item (Arrival_Date,Name,Fish_Id,Fish_Type,Fish_Sex,Size_Class,Group_Name,Tank_Id,Date_Assigned);

CREATE INDEX Purchase_Intake_Item_Tank_Fish_Id ON Purchase_Intake_Item (Tank_Fish_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Purchase_Intake_Item','Purchase Intake Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Purchase_Intake_Item','YES','YES');
--DROP TABLE Purchase_Tag_Fish;

CREATE TABLE Purchase_Tag_Fish (
   Arrival_Date varchar(10) NULL,
   Name varchar(30) NULL,
   Fish_Id varchar(15) NULL,
   Fish_Type varchar(20) NULL,
   Fish_Sex varchar(10) NULL,
   Size_Class varchar(20) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Tag_Id varchar(20) NULL,
   Tag_Date varchar(10) NULL,
   Length numeric(10,2) NULL,
   Weight numeric(10,2) NULL,
   Gonad_Index numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Purchase_Tag_Fish_Arrival_Date ON Purchase_Tag_Fish (Arrival_Date,Name,Fish_Id,Fish_Type,Fish_Sex,Size_Class,Group_Name,Tank_Id,Date_Assigned,Tag_Id,Tag_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Purchase_Tag_Fish','Purchase Tag Fish');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Purchase_Tag_Fish','YES','YES');
--DROP TABLE Report_Options;

CREATE TABLE Report_Options (
   Record_Id integer NULL,
   Add_Title varchar(4) NULL,
   Company_Details varchar(4) NULL,
   Zeros varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Report_Options_Record_Id ON Report_Options (Record_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Report_Options','Report Options');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Report_Options','YES','YES');
--DROP TABLE Sale_Item;

CREATE TABLE Sale_Item (
   Customer_Name varchar(30) NULL,
   Sale_Date varchar(10) NULL,
   Process_Form varchar(20) NULL,
   Qty_Ordered numeric(10,2) NULL,
   Sell_Price_Each numeric(10,3) NULL,
   Weight_Ordered numeric(10,2) NULL,
   Sell_Price_p_kg numeric(10,3) NULL,
   Discount numeric(10,2) NULL,
   Comments varchar(150) NULL
);

CREATE UNIQUE CLUSTERED INDEX Sale_Item_Customer_Name ON Sale_Item (Customer_Name,Sale_Date,Process_Form);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Sale_Item','Sale Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Sale_Item','YES','YES');
--DROP TABLE SeqNum;

CREATE TABLE SeqNum (
   tablename varchar(30) NULL,
   nextid integer NULL
);

CREATE UNIQUE CLUSTERED INDEX SeqNum_tablename ON SeqNum (tablename);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('SeqNum','Sequence Number');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','SeqNum','YES','YES');
--DROP TABLE Site_Location;

CREATE TABLE Site_Location (
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Site_Abbrev_Name varchar(3) NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Map_Location varchar(50) NULL
);

CREATE UNIQUE CLUSTERED INDEX Site_Location_Company_Name ON Site_Location (Company_Name,Site_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Site_Location','Site Location');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Site_Location','YES','YES');
--DROP TABLE Site_Location_Item;

CREATE TABLE Site_Location_Item (
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Site_Location_Item_Company_Name ON Site_Location_Item (Company_Name,Site_Name,Stock_Name,Item_Type_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Site_Location_Item','Site Location Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Site_Location_Item','YES','YES');
--DROP TABLE Site_Location_Transfer;

CREATE TABLE Site_Location_Transfer (
   From_Company_Name varchar(30) NULL,
   From_Site_Name varchar(20) NULL,
   From_Stock_Name varchar(40) NULL,
   From_Item_Type_Name varchar(20) NULL,
   Qty_Transfered numeric(10,2) NULL,
   To_Company_Name varchar(30) NULL,
   To_Site_Name varchar(20) NULL,
   To_Stock_Name varchar(40) NULL,
   To_Item_Type_Name varchar(20) NULL,
   Transfer_Date varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Site_Location_Transfer_From_Company_Name ON Site_Location_Transfer (From_Company_Name,From_Site_Name,From_Stock_Name,From_Item_Type_Name,To_Company_Name,To_Site_Name,To_Stock_Name,To_Item_Type_Name,Transfer_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Site_Location_Transfer','Site Location Transfer');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Site_Location_Transfer','YES','YES');
--DROP TABLE Site_Stock_Item;

CREATE TABLE Site_Stock_Item (
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Stock_Name varchar(40) NULL,
   Order_No varchar(20) NULL,
   Delivered_Date varchar(10) NULL,
   Carrier_Name varchar(30) NULL,
   Qty_Received numeric(10,2) NULL,
   Site_Location_Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Site_Stock_Item_Company_Name ON Site_Stock_Item (Company_Name,Site_Name,Stock_Name,Order_No,Delivered_Date);

CREATE INDEX Site_Stock_Item_Carrier_Name ON Site_Stock_Item (Carrier_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Site_Stock_Item','Site Stock Item Delivery');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Site_Stock_Item','YES','YES');
--DROP TABLE Size_Class;

CREATE TABLE Size_Class (
   Size_Class varchar(20) NULL,
   Comment varchar(200) NULL,
   Start_Size numeric(10,2) NULL,
   End_Size numeric(10,2) NULL,
   Start_Size_Weight numeric(10,2) NULL,
   End_Size_Weight numeric(10,2) NULL,
   Grade_Period integer NULL,
   Colour_Code varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Size_Class_Size_Class ON Size_Class (Size_Class);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Size_Class','Size Class');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Size_Class','YES','YES');
--DROP TABLE Size_Class_Changes;

CREATE TABLE Size_Class_Changes (
   Fish_Id varchar(15) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Change_Date varchar(10) NULL,
   Size_Class varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Size_Class_Changes_Fish_Id ON Size_Class_Changes (Fish_Id,Group_Name,Tank_Id,Date_Assigned,Change_Date,Size_Class);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Size_Class_Changes','Size Class Changes');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Size_Class_Changes','YES','YES');
--DROP TABLE Spat_Sample;

CREATE TABLE Spat_Sample (
   Fish_Id varchar(15) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Date_Assigned varchar(10) NULL,
   FH_Date varchar(10) NULL,
   Check_Type varchar(15) NULL,
   Sample_No integer NULL,
   Fish_No integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Spat_Sample_Fish_Id ON Spat_Sample (Fish_Id,Tank_Id,Group_Name,Date_Assigned,FH_Date,Check_Type,Sample_No);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Spat_Sample','Spat Sample');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Spat_Sample','YES','YES');
--DROP TABLE Spawned_Time;

CREATE TABLE Spawned_Time (
   Spawn_Date varchar(10) NULL,
   Spawn_Time varchar(8) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Spawning_Time varchar(8) NULL,
   Eggs_Produced numeric(10,2) NULL,
   Egg_Sperm_Quality varchar(15) NULL
);

CREATE UNIQUE CLUSTERED INDEX Spawned_Time_Spawn_Date ON Spawned_Time (Spawn_Date,Spawn_Time,Group_Name,Tank_Id,Spawning_Time);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Spawned_Time','Time of Spawning');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Spawned_Time','YES','YES');
--DROP TABLE Spawning;

CREATE TABLE Spawning (
   Spawn_Date varchar(10) NULL,
   Spawn_Time varchar(8) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Combined_Geneology varchar(10) NULL,
   Comment varchar(200) NULL,
   Water_Temp numeric(10,2) NULL,
   UV_Light varchar(4) NULL,
   Water_Flow numeric(10,2) NULL,
   E_Comment varchar(200) NULL,
   Treatment_Used varchar(4) NULL,
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Treatment_Qty numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Spawning_Spawn_Date ON Spawning (Spawn_Date,Spawn_Time,Group_Name,Tank_Id);

CREATE INDEX Spawning_Stock_Name ON Spawning (Stock_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Spawning','Spawning Container ');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Spawning','YES','YES');
--DROP TABLE Spawning_Item;

CREATE TABLE Spawning_Item (
   Spawn_Date varchar(10) NULL,
   Spawn_Time varchar(8) NULL,
   Fish_Id varchar(15) NULL,
   Fish_Type varchar(20) NULL,
   Fish_Sex varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Fish_No numeric(10,2) NULL,
   Comment varchar(200) NULL,
   BTag_Dive_Date varchar(10) NULL,
   BTag_Location_Name varchar(80) NULL,
   BTag_Fish_Id varchar(15) NULL,
   BTag_Fish_Type varchar(20) NULL,
   BTag_Fish_Sex varchar(10) NULL,
   BTag_Group_Name varchar(50) NULL,
   BTag_Tank_Id varchar(10) NULL,
   BTag_Date_Assigned varchar(10) NULL,
   BTag_Id varchar(20) NULL,
   BTag_Date varchar(10) NULL,
   P_Arrival_Date varchar(10) NULL,
   P_Name varchar(30) NULL,
   P_Fish_Id varchar(15) NULL,
   P_Fish_Type varchar(20) NULL,
   P_Fish_Sex varchar(10) NULL,
   P_Size_Class varchar(20) NULL,
   P_Group_Name varchar(50) NULL,
   P_Tank_Id varchar(10) NULL,
   P_Date_Assigned varchar(10) NULL,
   P_Tag_Id varchar(20) NULL,
   Tag_Date varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Spawning_Item_Spawn_Date ON Spawning_Item (Spawn_Date,Spawn_Time,Fish_Id,Fish_Type,Fish_Sex,Group_Name,Tank_Id);

CREATE INDEX Spawning_Item_BTag_Dive_Date ON Spawning_Item (BTag_Dive_Date);

CREATE INDEX Spawning_Item_BTag_Id ON Spawning_Item (BTag_Id);

CREATE INDEX Spawning_Item_BTag_Date ON Spawning_Item (BTag_Date);

CREATE INDEX Spawning_Item_P_Arrival_Date ON Spawning_Item (P_Arrival_Date);

CREATE INDEX Spawning_Item_P_Fish_Id ON Spawning_Item (P_Fish_Id);

CREATE INDEX Spawning_Item_P_Tag_Id ON Spawning_Item (P_Tag_Id);

CREATE INDEX Spawning_Item_Tag_Date ON Spawning_Item (Tag_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Spawning_Item','Spawning Tank Allocation');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Spawning_Item','YES','YES');
--DROP TABLE Staff;

CREATE TABLE Staff (
   Name varchar(20) NULL,
   Home_No varchar(15) NULL,
   Mobile_No varchar(20) NULL,
   Address varchar(40) NULL,
   Emergency_Name varchar(20) NULL,
   Em_Home_Ph varchar(15) NULL,
   Em_Work_Ph varchar(15) NULL,
   Emerg_Mobile_No varchar(15) NULL,
   Emg_Relationship varchar(15) NULL
);

CREATE UNIQUE CLUSTERED INDEX Staff_Name ON Staff (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Staff','People');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Staff','YES','YES');
--DROP TABLE Staff_Position;

CREATE TABLE Staff_Position (
   Staff_Name varchar(30) NULL,
   Position_Held varchar(30) NULL,
   Date_Joined varchar(10) NULL,
   Transfer_Date varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Staff_Position_Staff_Name ON Staff_Position (Staff_Name,Position_Held,Date_Joined);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Staff_Position','People Position');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Staff_Position','YES','YES');
--DROP TABLE Stock_Item;

CREATE TABLE Stock_Item (
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Serial_No varchar(30) NULL,
   Product_Size varchar(10) NULL,
   Package_Size varchar(10) NULL,
   Package_Type varchar(10) NULL,
   Product_Length varchar(10) NULL,
   Sink_Rate numeric(10,2) NULL,
   Head_Code varchar(10) NULL,
   Stocktake numeric(10,2) NULL,
   Last_Stocktake numeric(10,2) NULL,
   Cost_Price numeric(10,2) NULL,
   ReOrder_Level numeric(10,2) NULL,
   Total_Biomass numeric(10,2) NULL,
   Pred_Total_Biomass numeric(10,2) NULL,
   Under_Harvest numeric(10,2) NULL,
   Over_Harvest numeric(10,2) NULL,
   Under_Harvest_Biomass numeric(10,2) NULL,
   Over_Harvest_Biomass numeric(10,2) NULL,
   Prev_Biomass numeric(10,2) NULL,
   Fish_Count integer NULL,
   Prev_Fish_Count integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Stock_Item_Stock_Name ON Stock_Item (Stock_Name,Item_Type_Name);

CREATE INDEX Stock_Item_Product_Size ON Stock_Item (Product_Size);

CREATE INDEX Stock_Item_Package_Size ON Stock_Item (Package_Size);

CREATE INDEX Stock_Item_Package_Type ON Stock_Item (Package_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Stock_Item','Stock Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Stock_Item','YES','YES');
--DROP TABLE Stock_Outtake;

CREATE TABLE Stock_Outtake (
   Outtake_Date varchar(10) NULL,
   Fish_Id varchar(15) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Fish_Type varchar(20) NULL,
   Fish_Sex varchar(10) NULL,
   Fish_No numeric(10,2) NULL,
   Outtake_Type varchar(20) NULL,
   Name varchar(20) NULL,
   Comment varchar(255) NULL,
   Collect_Date varchar(10) NULL,
   Collect_Name varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Stock_Outtake_Outtake_Date ON Stock_Outtake (Outtake_Date,Fish_Id,Group_Name,Tank_Id,Date_Assigned);

CREATE INDEX Stock_Outtake_Fish_Type ON Stock_Outtake (Fish_Type);

CREATE INDEX Stock_Outtake_Fish_Sex ON Stock_Outtake (Fish_Sex);

CREATE INDEX Stock_Outtake_Name ON Stock_Outtake (Name);

CREATE INDEX Stock_Outtake_Collect_Date ON Stock_Outtake (Collect_Date);

CREATE INDEX Stock_Outtake_Collect_Name ON Stock_Outtake (Collect_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Stock_Outtake','Stock Outtake');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Stock_Outtake','YES','YES');
--DROP TABLE Stock_Worth_Item;

CREATE TABLE Stock_Worth_Item (
   Fish_Type varchar(20) NULL,
   Size_Class varchar(20) NULL,
   Process_Form varchar(20) NULL,
   Stock_Worth_Each numeric(10,2) NULL,
   Stock_Worth_Each_Net numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Stock_Worth_Item_Fish_Type ON Stock_Worth_Item (Fish_Type,Size_Class,Process_Form);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Stock_Worth_Item','Stock Worth Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Stock_Worth_Item','YES','YES');
--DROP TABLE Supplier;

CREATE TABLE Supplier (
   Name varchar(30) NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   State varchar(10) NULL,
   Postcode numeric(6,0) NULL,
   Country varchar(40) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Sales_Tax varchar(10) NULL,
   ABN_No varchar(20) NULL,
   ACN_No varchar(20) NULL,
   Comment varchar(200) NULL,
   Web_Site varchar(40) NULL
);

CREATE UNIQUE CLUSTERED INDEX Supplier_Name ON Supplier (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Supplier','Supplier');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Supplier','YES','YES');
--DROP TABLE Supplier_Stock_Item;

CREATE TABLE Supplier_Stock_Item (
   Supplier_Name varchar(30) NULL,
   Stock_Name varchar(40) NULL,
   Stock_Item_Type varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Supplier_Stock_Item_Supplier_Name ON Supplier_Stock_Item (Supplier_Name,Stock_Name);

CREATE INDEX Supplier_Stock_Item_Stock_Item_Type ON Supplier_Stock_Item (Stock_Item_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Supplier_Stock_Item','Supplier Stock Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Supplier_Stock_Item','YES','YES');
--DROP TABLE Swim_Thru;

CREATE TABLE Swim_Thru (
   Date_Swim_Thru varchar(10) NULL,
   Move_Time varchar(8) NULL,
   Source_Fish_Id varchar(15) NULL,
   Source_Tank_Id varchar(10) NULL,
   Src_Group_Name varchar(50) NULL,
   Src_Date_Assigned varchar(10) NULL,
   Dest_Fish_Id varchar(15) NULL,
   Dest_Tank_Id varchar(10) NULL,
   Dest_Group_Name varchar(50) NULL,
   Dest_Date_Assigned varchar(10) NULL,
   No_Fish_Swum_Off numeric(10,2) NULL,
   Avg_Sample_Weight numeric(10,4) NULL,
   Avg_Sample_Length numeric(10,4) NULL,
   Reason_For_Swim_Thru varchar(100) NULL,
   Leading_Hand_Name varchar(20) NULL,
   Comment varchar(200) NULL,
   Larval_Stage integer NULL,
   No_Pull_Downs varchar(10) NULL,
   Water_Temp numeric(10,2) NULL,
   UV_Light varchar(4) NULL,
   Water_Flow numeric(10,2) NULL,
   E_Comment varchar(200) NULL,
   Treatment_Used varchar(4) NULL,
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Treatment_Qty numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Swim_Thru_Date_Swim_Thru ON Swim_Thru (Date_Swim_Thru,Move_Time,Source_Fish_Id,Source_Tank_Id,Src_Group_Name,Dest_Fish_Id,Dest_Tank_Id,Dest_Group_Name);

CREATE INDEX Swim_Thru_Leading_Hand_Name ON Swim_Thru (Leading_Hand_Name);

CREATE INDEX Swim_Thru_Stock_Name ON Swim_Thru (Stock_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Swim_Thru','Fish Movement');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Swim_Thru','YES','YES');
--DROP TABLE System_Defaults;

CREATE TABLE System_Defaults (
   Sys_Year numeric(4,0) NULL,
   Max_Weight numeric(10,2) NULL,
   Avg_Water_Temp numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX System_Defaults_Sys_Year ON System_Defaults (Sys_Year);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('System_Defaults','System Defaults');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','System_Defaults','YES','YES');
--DROP TABLE Tag_Id;

CREATE TABLE Tag_Id (
   Tag_Id varchar(20) NULL,
   Colour varchar(10) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tag_Id_Tag_Id ON Tag_Id (Tag_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tag_Id','Tag Id');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tag_Id','YES','YES');
--DROP TABLE Tag_Id_Tank_Assign;

CREATE TABLE Tag_Id_Tank_Assign (
   Tag_Id varchar(20) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Transfer_Type varchar(10) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tag_Id_Tank_Assign_Tag_Id ON Tag_Id_Tank_Assign (Tag_Id,Group_Name,Tank_Id,Date_Assigned);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tag_Id_Tank_Assign','Tag Id Container Assignment');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tag_Id_Tank_Assign','YES','YES');
--DROP TABLE Tank;

CREATE TABLE Tank (
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Report_Name varchar(20) NULL,
   In_Use varchar(4) NULL,
   Tank_Size varchar(10) NULL,
   Tank_Registration_No varchar(40) NULL,
   Year_Installed integer NULL,
   Comment varchar(200) NULL,
   Cost_Price numeric(10,2) NULL,
   Length numeric(10,2) NULL,
   Radius numeric(10,2) NULL,
   Width numeric(10,2) NULL,
   Date_Assembled varchar(10) NULL,
   Depth numeric(10,2) NULL,
   Date_Ballasted varchar(10) NULL,
   Cubicm numeric(10,2) NULL,
   No_Plates integer NULL,
   Order_No_Tank_Group integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Tank_Tank_Id ON Tank (Tank_Id,Group_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tank','Container');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tank','YES','YES');
--DROP TABLE Tank_Assignment;

CREATE TABLE Tank_Assignment (
   Fish_Id varchar(15) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Date_Assigned varchar(10) NULL,
   Comment varchar(200) NULL,
   Fish_Type varchar(20) NULL,
   Size_Class varchar(20) NULL,
   Fish_Sex varchar(10) NULL,
   Date_Unassigned varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tank_Assignment_Fish_Id ON Tank_Assignment (Fish_Id,Tank_Id,Group_Name,Date_Assigned);

CREATE INDEX Tank_Assignment_Fish_Type ON Tank_Assignment (Fish_Type);

CREATE INDEX Tank_Assignment_Size_Class ON Tank_Assignment (Size_Class);

CREATE INDEX Tank_Assignment_Fish_Sex ON Tank_Assignment (Fish_Sex);

CREATE INDEX Tank_Assignment_Date_Unassigned ON Tank_Assignment (Date_Unassigned);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tank_Assignment','Fish to Container Assignment');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tank_Assignment','YES','YES');
--DROP TABLE Tank_Count_Adjust;

CREATE TABLE Tank_Count_Adjust (
   Fish_Id varchar(15) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Adjust_Date varchar(10) NULL,
   Adjust_Qty numeric(10,2) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tank_Count_Adjust_Fish_Id ON Tank_Count_Adjust (Fish_Id,Group_Name,Tank_Id,Date_Assigned,Adjust_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tank_Count_Adjust','Container Count Adjustments');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tank_Count_Adjust','YES','YES');
--DROP TABLE Tank_Group;

CREATE TABLE Tank_Group (
   Group_Name varchar(50) NULL,
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Report_Name varchar(20) NULL,
   Comment varchar(255) NULL,
   Surface_Area integer NULL,
   Max_Weight numeric(10,2) NULL,
   Layout_Style varchar(20) NULL,
   Order_No_in_Site integer NULL,
   Orientation_on_Site varchar(10) NULL,
   Date_Installed varchar(10) NULL,
   GPS_Position varchar(20) NULL,
   Feed_Method varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tank_Group_Group_Name ON Tank_Group (Group_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tank_Group','Container Group');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tank_Group','YES','YES');
--DROP TABLE Tank_Group_Stocking;

CREATE TABLE Tank_Group_Stocking (
   Group_Name varchar(50) NULL,
   Fish_Type varchar(20) NULL,
   Size_Class varchar(20) NULL,
   Max_Weight numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tank_Group_Stocking_Group_Name ON Tank_Group_Stocking (Group_Name,Fish_Type,Size_Class);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tank_Group_Stocking','Stocking Density');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tank_Group_Stocking','YES','YES');
--DROP TABLE Temperature;

CREATE TABLE Temperature (
   Temp_Year integer NULL,
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Jan numeric(3,1) NULL,
   Feb numeric(3,1) NULL,
   Mar numeric(3,1) NULL,
   Apr numeric(3,1) NULL,
   May numeric(3,1) NULL,
   Jun numeric(3,1) NULL,
   Jul numeric(3,1) NULL,
   Aug numeric(3,1) NULL,
   Sep numeric(3,1) NULL,
   Oct numeric(3,1) NULL,
   Nov numeric(3,1) NULL,
   December numeric(3,1) NULL
);

CREATE UNIQUE CLUSTERED INDEX Temperature_Temp_Year ON Temperature (Temp_Year,Company_Name,Site_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Temperature','Water Temperature');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Temperature','YES','YES');
--DROP TABLE URIGHTS;

CREATE TABLE URIGHTS (
   USER_ID varchar(30) NULL,
   TABLE_NAME varchar(50) NULL,
   USTORE varchar(4) NULL,
   UDELETE varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX URIGHTS_USER_ID ON URIGHTS (USER_ID,TABLE_NAME);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('URIGHTS','User Rights');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','URIGHTS','YES','YES');
--DROP TABLE USERIDS;

CREATE TABLE USERIDS (
   USER_ID varchar(30) NULL,
   NPASSWORD varchar(30) NULL,
   Staff_Name varchar(20) NULL,
   Start_up_file varchar(128) NULL,
   User_Status varchar(10) NULL,
   INI_File varchar(128) NULL,
   On_Exit_Run varchar(128) NULL
);

CREATE UNIQUE CLUSTERED INDEX USERIDS_USER_ID ON USERIDS (USER_ID);

CREATE INDEX USERIDS_Staff_Name ON USERIDS (Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('USERIDS','USERIDS');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','USERIDS','YES','YES');
--DROP TABLE User_Preferences;

CREATE TABLE User_Preferences (
   USER_ID varchar(30) NULL,
   Pref_Name varchar(60) NULL,
   Pref_Setting varchar(128) NULL
);

CREATE UNIQUE CLUSTERED INDEX User_Preferences_USER_ID ON User_Preferences (USER_ID,Pref_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('User_Preferences','User Preferences');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','User_Preferences','YES','YES');
--DROP TABLE UTABLES;

CREATE TABLE UTABLES (
   TABLE_NAME varchar(50) NULL,
   Screen_Name varchar(60) NULL
);

CREATE UNIQUE CLUSTERED INDEX UTABLES_TABLE_NAME ON UTABLES (TABLE_NAME);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('UTABLES','Screen Names');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','UTABLES','YES','YES');
--DROP TABLE Vessel_Log;

CREATE TABLE Vessel_Log (
   Vessel_Name varchar(30) NULL,
   Log_Date varchar(10) NULL,
   Dep_Time varchar(8) NULL,
   Staff_Name varchar(30) NULL,
   Staff_Name_2 varchar(30) NULL,
   Staff_Name_3 varchar(30) NULL,
   Staff_Name_4 varchar(30) NULL,
   Staff_Name_5 varchar(30) NULL,
   Staff_Name_6 varchar(30) NULL,
   Fuel_PT numeric(10,2) NULL,
   Fuel_STBD numeric(10,2) NULL,
   Engine_Hrs numeric(10,1) NULL,
   Engine_STBD numeric(10,1) NULL,
   Maint_Comment varchar(255) NULL,
   Mammals_Coment varchar(255) NULL,
   Dive_Comment varchar(255) NULL,
   Hours_Run varchar(8) NULL,
   Last_Service_Days integer NULL,
   Total_hours numeric(10,2) NULL,
   Work_Completed varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Vessel_Log_Vessel_Name ON Vessel_Log (Vessel_Name,Log_Date,Dep_Time);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Vessel_Log','Vessel Log');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Vessel_Log','YES','YES');
--DROP TABLE Weight_Length_Look_Up;

CREATE TABLE Weight_Length_Look_Up (
   Look_Up_Year numeric(4,0) NULL,
   Fish_Type varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Weight_Length_Look_Up_Look_Up_Year ON Weight_Length_Look_Up (Look_Up_Year,Fish_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Weight_Length_Look_Up','Weight Length Look Up');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Weight_Length_Look_Up','YES','YES');
--DROP TABLE Weight_Length_Sample;

CREATE TABLE Weight_Length_Sample (
   Fish_Id varchar(15) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Date_Assigned varchar(10) NULL,
   FH_Date varchar(10) NULL,
   Check_Type varchar(15) NULL,
   Sample_No integer NULL,
   Fish_Weight numeric(10,2) NULL,
   Fish_Length numeric(10,2) NULL,
   Tag_Id varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Weight_Length_Sample_Fish_Id ON Weight_Length_Sample (Fish_Id,Tank_Id,Group_Name,Date_Assigned,FH_Date,Check_Type,Sample_No);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Weight_Length_Sample','Weight Length Sample');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Weight_Length_Sample','YES','YES');
--DROP TABLE WLLU_Item;

CREATE TABLE WLLU_Item (
   Look_Up_Year numeric(4,0) NULL,
   Fish_Type varchar(20) NULL,
   Length numeric(10,4) NULL,
   Weight numeric(10,4) NULL
);

CREATE UNIQUE CLUSTERED INDEX WLLU_Item_Look_Up_Year ON WLLU_Item (Look_Up_Year,Fish_Type,Length,Weight);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('WLLU_Item','Weight Length Look Up Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','WLLU_Item','YES','YES');
--DROP TABLE Vessel;

CREATE TABLE Vessel (
   Name varchar(30) NULL,
   Owner varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Date_Built varchar(10) NULL,
   Length numeric(5,1) NULL,
   Outboard_Serial_1 varchar(30) NULL,
   Outboard_Serial_2 varchar(30) NULL,
   Cost_Price numeric(10,2) NULL,
   Gross_Tonne numeric(10,2) NULL,
   Max_Crew integer NULL,
   LogBook_Id varchar(30) NULL,
   Vessel_Id varchar(30) NULL,
   Dist_Symbol varchar(20) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Vessel_Name ON Vessel (Name);

CREATE INDEX Vessel_Date_Built ON Vessel (Date_Built);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Vessel','Vessel');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Vessel','YES','YES');
--DROP TABLE Daily_Work_Sheet;

CREATE TABLE Daily_Work_Sheet (
   Work_Date varchar(10) NULL,
   Vessel_Name varchar(30) NULL,
   Staff_Name varchar(30) NULL,
   Staff_Name_2 varchar(30) NULL,
   Staff_Name_3 varchar(30) NULL,
   Staff_Name_4 varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Daily_Work_Sheet_Work_Date ON Daily_Work_Sheet (Work_Date,Vessel_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Daily_Work_Sheet','Daily Work Sheet');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Daily_Work_Sheet','YES','YES');
--DROP TABLE Container_Work;

CREATE TABLE Container_Work (
   Work_Date varchar(10) NULL,
   Vessel_Name varchar(30) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(10) NULL,
   Work_Details varchar(512) NULL,
   Staff_Name varchar(30) NULL,
   Author_Date varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Container_Work_Work_Date ON Container_Work (Work_Date,Vessel_Name,Group_Name,Tank_Id);

CREATE INDEX Container_Work_Author_Date ON Container_Work (Author_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Container_Work','Container Work Details');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Container_Work','YES','YES');
